Download it now!
Bug 82321 - row add/lock bug when deleting field from row to be added
Summary: row add/lock bug when deleting field from row to be added
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-08 03:57 UTC by Doug
Modified: 2019-12-03 14:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
very simple test database document with one table (3.33 KB, application/vnd.oasis.opendocument.database)
2014-08-08 21:25 UTC, Doug
Details
screenshot of bug end result (3.07 KB, image/png)
2014-08-08 21:28 UTC, Doug
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doug 2014-08-08 03:57:24 UTC
To reproduce:  

1.go to table or form/grid
2.go to add/new record line
3.type something into first field
4.the star icon will change to pencil and add/new field correctly will extend by one row; normal functionality
5.now delete what you just typed
6.click to previous row.

this results in duplication of visual display of last actual entry, on line you just left.  The duplicate line is not enabled, cannot tab from active line to duplicate line, giving appearance of locking.  However, this appears to be some kind of orphan drawing or something, not reflecting a real duplicate record.

Expected functionality:  should not draw duplicate entry or give appearance of locking.
Comment 1 Joel Madero 2014-08-08 04:46:55 UTC
Please provide a simple test document. Marking as NEEDINFO - once a simple test document is provide set to UNCONFIRMED. Thanks!
Comment 2 Doug 2014-08-08 21:25:26 UTC
Created attachment 104317 [details]
very simple test database document with one table

Here is a very simple database document that you can use to replicate the bug  Open Table --> Table1 to view/add data, go to the last row, which will be blank for insertion of a new row, follow steps.  Screenshot to follow.
Comment 3 Doug 2014-08-08 21:28:06 UTC
Created attachment 104318 [details]
screenshot of bug end result

this is what the bug looks like.  Note the first column is a primary key, so the appearance of a duplicate entry would be very puzzling to user.
Comment 4 Robert Großkopf 2014-08-12 13:33:05 UTC
Nearly the same result here with OpenSUSE 12.3 64bit rpm Linux:
I type a new key, delete it with "Back" and go with arrow "Up" to the row before. The key isn't shown, but the content of the row before as to see in the screenshot https://bugs.freedesktop.org/attachment.cgi?id=104318

Have tested it with many other versions. It is the same problem since the beginnig of LO, apperas also in LO 3.3.0 beta1. So I set the version to "inherited from OOo".
Comment 5 Alex Thurgood 2015-01-03 17:41:04 UTC Comment hidden (no-value)
Comment 6 QA Administrators 2016-01-17 20:04:29 UTC Comment hidden (obsolete)
Comment 7 Robert Großkopf 2016-01-30 19:07:13 UTC
Bug still exists with LO 5.1.0.3, OpenSUSE 42.1 Leap, 64bit rpm Linux.
See comment4 - shortest way to reproduce.
Comment 8 QA Administrators 2017-03-06 14:25:12 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:18:28 UTC
Dear Doug,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug